[push]
	default = simple
[user]
	name = Robert Kmiec
	email = robert.r.kmiec@gmail.com
[core]
	editor = nvim
	pager = delta
	autocrlf = false
	excludesfile = /home/rkmiec/.config/git/ignore
	symlinks = true
[help]
	autocorrect = 1
[color]
	ui = true
[grep]
	linenumber = true
[sendemail]
	smtpencryption = tls
	smtpserver = smtp.gmail.com
	smtpuser = robert.r.kmiec@gmail.com
	smtpserverport = 587
[diff]
	tool = vimdiff
[merge]
	tool = vimdiff
[filter "lfs"]
	clean = git-lfs clean -- %f
	smudge = git-lfs smudge -- %f
	process = git-lfs filter-process
	required = true
[alias]
	cm = commit
	co = checkout
	br = branch
	st = status
	d = diff
	dc = diff --cached
	short = rev-parse --short --verify HEAD
	update = !git stash && git pull --rebase && git stash pop && git submodule update --init --recursive
[interactive]
	diffFilter = delta --color-only
[delta]
	features = side-by-side line-numbers decorations
	whitespace-error-style = 22 reverse
[delta "decorations"]
	commit-decoration-style = bold yellow box ul
	file-style = bold yellow ul
	file-decoration-style = none
[pull]
	rebase = true
[commit]
	verbose = true
[mergetool "vimdiff"]
	cmd = nvim -d $LOCAL $REMOTE $MERGED -c '$wincmd w' -c 'wincmd J'
[init]
	defaultBranch = master
